package com.steerinfo.baseinfo.meterbasecussupcar.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecussupcar.model.MeterBaseCusSupCar;

import java.util.List;

/**
 * MeterBaseCusSupCar服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-15 11:47
 * 类描述
 * 修订历史：
 * 日期：2020-06-15
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCusSupCar服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCusSupCarService extends IBaseService<MeterBaseCusSupCar, String>{
     String checkandadd(MeterBaseCusSupCar model);

     String Recovery(List<MeterBaseCusSupCar> models);

     String abolish(List<MeterBaseCusSupCar> models);

     String checkandupdate(String id,MeterBaseCusSupCar model);
}